Simulation Scenario
Update a scenario
Updates an existing simulation scenario by its ID.
PUT
/
v1
/
simulation
/
scenario
/
{scenarioId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const simulationScenario = await client.simulationScenario.update('scenarioId', {
stepChanges: [
{
action: 'create',
content: 'content',
type: 'AGENT_TURN',
},
],
});
console.log(simulationScenario.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
simulation_scenario = client.simulation_scenario.update(
scenario_id="scenarioId",
step_changes=[{
"action": "create",
"content": "content",
"type": "AGENT_TURN",
}],
)
print(simulation_scenario.data)curl --request PUT \
--url https://api.roark.ai/v1/simulation/scenario/{scenarioId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stepChanges": [
{
"action": "<string>",
"content": "<string>",
"linkedScenarioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dtmfDigits": "<string>",
"silenceDurationSeconds": 123
}
],
"name": "<string>"
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"steps": [
{
"nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"linkedScenarioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dtmfDigits": "<string>",
"silenceDurationSeconds": 123
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the scenario to update
Body
application/json
Input for updating an existing scenario
stepChanges
(CreateStepChange · object | UpdateStepChange · object | DeleteStepChange · object)[]
required
List of step changes to apply to the scenario
Create a new step in the scenario
- CreateStepChange
- UpdateStepChange
- DeleteStepChange
Show child attributes
Show child attributes
New name for the scenario (updates the START node content)
Minimum string length:
1Response
The updated scenario
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const simulationScenario = await client.simulationScenario.update('scenarioId', {
stepChanges: [
{
action: 'create',
content: 'content',
type: 'AGENT_TURN',
},
],
});
console.log(simulationScenario.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
simulation_scenario = client.simulation_scenario.update(
scenario_id="scenarioId",
step_changes=[{
"action": "create",
"content": "content",
"type": "AGENT_TURN",
}],
)
print(simulation_scenario.data)